<%@ page language="java" import="com.medias.Context" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<HTML>
<HEAD>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
    <META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">

    <title><tiles:getAsString name="title"/></title>
    <link rel="shortcut icon" href="<html:rewrite page='/resources/images/megapoli/favicon.ico'/>">


    <ether:htmlCss cssFile="blueprint-css/blueprint/src/grid"/>
    <ether:htmlCss cssFile="ether"/>
    <ether:htmlCss cssFile="megapoli"/>


    <tiles:insert attribute="insertCss"/>
    <tiles:insert attribute="insertJsOrJsp"/>

</HEAD>

<BODY>

<%-- VARIABLES A NE PAS TOUCHER !!! --%>
<bean:define type="java.lang.String" id="lastModified" value="<%=Context.getLastModified(request, application)%>"/>
<bean:define type="java.lang.String" id="lang" value="<%=Context.getLangue(request)%>"/>
<bean:define type="java.lang.String" id="webmaster" value="<%=Context.getWebmaster(request)%>"/>
<bean:define type="java.lang.String" id="chemin" value="<%=request.getContextPath()%>"/>
<bean:define type="java.lang.String"
             id="relativePageUri"><%=Context.getRelativePath( request )%>?<%=request.getQueryString()%>
</bean:define>


<div class="pageWrapper">

    <%--*************************************************************--%>
    <%--**************************** TOP *************************** --%>
    <%--*************************************************************--%>
    <div id="containerTop" class="containerTop span-24">

        <div id="title_tools" class="title_tools span-24">
            <div id="title" class="span-17" align="center">
                <h0><bean:message key="app.fulltitle"/></h0>
            </div>

            <div id="tools" class="span-7 last" align="right">
                <div class="span-1 colborder"><html:link page="/index.jsp"><h4><bean:message key="app.home"/></h4>
                </html:link></div>

                <div class="span-1 colborder">
                    <logic:notEqual name="lang" value="en">
                        <html:link page="/English.do" paramName="relativePageUri" paramId="requestUri"
                                   titleKey="app.en"><h4><bean:message key="app.en"/></h4></html:link>
                    </logic:notEqual>
                    <logic:equal name="lang" value="en">
                        <html:link page="/French.do" paramName="relativePageUri" paramId="requestUri" titleKey="app.fr">
                            <h4><bean:message key="app.fr"/></h4></html:link>
                    </logic:equal>
                </div>

                <div class="span-1 colborder"><html:link page="/index.jsp"><h4><bean:message key="app.connexion"/></h4>
                </html:link></div>

                <div class="span-1 last">
                    <html:link href="mailto:${webmaster}?subject=[MEGAPOLI]">
                        <h4><html:img page="/resources/images/utils/enveloppe.jpg" titleKey="app.webmaster"
                                      altKey="app.webmaster" width="17px" height="15px"/></h4>
                    </html:link>
                </div>
            </div>
        </div>

        <div id="logo" class="logo span-8">
            <html:link href="http://megapoli.dmi.dk/" target="help" titleKey="app.linkmegapoli">
                <html:img page="/resources/images/logo_Megapoli.png" height="100px" width="100px"
                          altKey="app.home"/>
            </html:link>
        </div>

        <div id="menu" class="span-13" align="left">
            <bean:define id="upload" value="upload"/>
            <bean:define id="access" value="access"/>

            <div id="menuMetaData" class="span-5">
                <html:link page="/data/access/access.jsp" paramName="access" paramId="source">
                    <h2><bean:message key="data.access"/></h2>
                </html:link>

                <html:link page="/JeuxAccess.do"><h3>&nbsp;-&nbsp;<bean:message key="data.access.jeux"/></h3>
                </html:link>
                <html:link page="/ParametresAccess.do"><h3>&nbsp;-&nbsp;<bean:message key="data.access.param"/></h3>
                </html:link>
                <html:link page="/CapteursAccess.do"><h3>&nbsp;-&nbsp;<bean:message key="data.access.capt"/></h3>
                </html:link>
                <html:link page="/PlateformesAccess.do"><h3>&nbsp;-&nbsp;<bean:message key="data.access.plat"/></h3>
                </html:link>
            </div>

            <div id="menuData" class="span-4">
                <h2><bean:message key="app.data"/></h2>

                <logic:notPresent name="SES_USER" scope="session">
                    <html:link page="/InitLogonAccess.do" paramName="access" paramId="source"><h3>
                        &nbsp;-&nbsp;<bean:message key="data.access.extract"/></h3></html:link>
                </logic:notPresent>
                <logic:present name="SES_USER" scope="session">
                    <html:link page="/DataAccess.do"><h3>&nbsp;-&nbsp;<bean:message key="data.access.extract"/></h3>
                    </html:link>
                </logic:present>

                <logic:notPresent name="SES_USER" scope="session">
                    <html:link page="/InitLogon.do" paramName="upload" paramId="source"><h3>&nbsp;-&nbsp;<bean:message
                            key="data.upload"/></h3></html:link>
                </logic:notPresent>
                <logic:present name="SES_USER" scope="session">
                    <html:link page="/PrepareTree.do"><h3>&nbsp;-&nbsp;<bean:message key="data.upload"/></h3>
                    </html:link>
                </logic:present>
            </div>

            <div id="menuVisualization" class="span-4 last">
                <html:link page="/visualization?methodName=view"><h2><bean:message key="all.visualization"/></h2>
                </html:link>

                <html:link page="/visualization?methodName=viewParametersByPlateform"><h3>&nbsp;-&nbsp;<bean:message
                        key="data.visualization"/></h3></html:link>
                <html:link page="/visualization/inWork.jsp"><h3>&nbsp;-&nbsp;<bean:message
                        key="simulation.visualization"/></h3></html:link>
            </div>
        </div>
    </div>

    <%--*************************************************************--%>
    <%--************************ NAVIGATION ************************ --%>
    <%--*************************************************************--%>
    <div id="nav" class="nav span-24"><tiles:insert attribute="nav"/>&nbsp;&nbsp;</div>


    <%--*************************************************************--%>
    <%--************************** CENTER ************************** --%>
    <%--*************************************************************--%>
    <div id="containerCenter" class="containerCenter span-24 last">
        <h1><tiles:insert attribute="bodytitle"/></h1>

        <tiles:insert attribute="body"/>
    </div>


    <%--*************************************************************--%>
    <%--*************************** BOTTOM ************************* --%>
    <%--*************************************************************--%>
    <div id="containerBottom" class="containerBottom span-24 last">
        <table width="100%" style="color:white;font-size: 12px">
            <tr>
                <td align="left">&copy; 2010-2011 <html:link href="http://www.ipsl.fr" target="help"
                                                             titleKey="app.linkIPSL">IPSL</html:link> / CNRS
                </td>
                <td align="center"><bean:message key="app.infonavig"/></td>
                <td align="right">
                    <i><bean:message key="app.lastModified"/> : <bean:write name="lastModified"/></i>
                </td>
            </tr>
        </table>
    </div>

</div>

</BODY>
</HTML>
