<!-- /*** ****************** TEMPLATE ETHER ******************** **/ -->
<%@ page language="java" import="com.medias.Context" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<HTML>
<HEAD>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
    <META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">

    <title><tiles:getAsString name="title"/></title>
    <link rel="shortcut icon" href="<html:rewrite page='/resources/images/megapoli/favicon.ico'/>">

    <ether:htmlCss cssFile="medias_new"/>
    <ether:htmlCss cssFile="megapoli"/>

    <tiles:insert attribute="insertCss"/>
    <tiles:insert attribute="insertJsOrJsp"/>
    <ether:htmlJs jsFile="maj"/>
    <ether:htmlJs jsFile="medias/ajax"/>
    <ether:htmlJs jsFile="medias/scw"/>

    <script type="text/javascript">

        <!--
      var popup;

      function popupWindow (url, name, configuration)
      {
          popup = window.open (url, name, configuration);
      }

      function closePopupWindow ()
      {
          popup.close ();
      }
      -->
    </script>
</HEAD>

<BODY>
<a name="top"></a>

<%-- VARIABLES A NE PAS TOUCHER !!! --%>
<bean:define type="java.lang.String" id="lastModified" value="<%=Context.getLastModified(request, application)%>"/>
<bean:define type="java.lang.String" id="lang" value="<%=Context.getLangue(request)%>"/>
<bean:define type="java.lang.String" id="webmaster" value="<%=Context.getWebmaster(request)%>"/>
<bean:define type="java.lang.String" id="chemin" value="<%=request.getContextPath()%>"/>
<bean:define type="java.lang.String" id="relativePageUri"><%=Context.getRelativePath( request )%>?<%=request.getQueryString()%></bean:define>

<div id="container">
    <div id="pageHeader">
        <%-- le logo --%>

        <%-- Le titre général du site --%>
        <h2><%--<u>M</u>egacities: <u>E</u>missions, urban, regional and <u>G</u>lobal <u>A</u>tmospheric <u>POL</u>lution and climate effects, and <u>I</u>ntegrated tools for assessment and mitigation--%>
            <bean:message key="app.fulltitle"/>
        </h2>
    </div>


    <div id="pageMiddle">
        <div id="pageMenu">
            <div id="util">

                <html:link page="/index.jsp">
                    <html:img page="/resources/images/utils/home.jpg" titleKey="app.home" altKey="app.home"/>
                </html:link>

                <html:link href="mailto:${webmaster}?subject=[MEGAPOLI]">
                    <html:img page="/resources/images/utils/enveloppe.jpg" titleKey="app.webmaster"
                              altKey="app.webmaster"/>
                </html:link>

                <%-- Internationalisation --%>
                <logic:notEqual name="lang" value="en">
                    <html:link page="/English.do" paramName="relativePageUri" paramId="requestUri" titleKey="app.en">
                        <html:img page="/resources/images/utils/gb.png" alt="gb"/>
                    </html:link>
                </logic:notEqual>
                <logic:equal name="lang" value="en">
                    <html:link page="/French.do" paramName="relativePageUri" paramId="requestUri" titleKey="app.fr">
                        <html:img page="/resources/images/utils/fr.png" alt="fr"/>
                    </html:link>
                </logic:equal>

            </div>

            <div id="plan">
                <%-- le menu --%>
                <div id="menuItem">
                    <bean:define id="upload" value="upload"/>
                    <bean:define id="access" value="access"/>
                    <ul>
                        <li><html:link page="/data/access/access.jsp" paramName="access" paramId="source">
                            <bean:message key="data.access"/>
                        </html:link>
                        </li>
                        <li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
                            <html:link page="/JeuxAccess.do">
                                <bean:message key="data.access.jeux"/>
                            </html:link>
                        </li>
                        <li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
                            <html:link page="/ParametresAccess.do">
                                <bean:message key="data.access.param"/>
                            </html:link>
                        </li>
                        <li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
                            <html:link page="/CapteursAccess.do">
                                <bean:message key="data.access.capt"/>
                            </html:link>
                        </li>
                        <li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
                            <html:link page="/PlateformesAccess.do">
                                <bean:message key="data.access.plat"/>
                            </html:link>
                        </li>

                        <li><br/>
                            <logic:notPresent name="SES_USER" scope="session">
                                <html:link page="/InitLogonAccess.do" paramName="access" paramId="source">
                                    <bean:message key="data.access.extract"/>
                                </html:link>
                            </logic:notPresent>
                            <logic:present name="SES_USER" scope="session">
                                <html:link page="/DataAccess.do">
                                    <bean:message key="data.access.extract"/>
                                </html:link>
                            </logic:present>
                        </li>
                        <li>
                            <logic:notPresent name="SES_USER" scope="session">
                                <html:link page="/InitLogon.do" paramName="upload" paramId="source">
                                    <bean:message key="data.upload"/>
                                </html:link>
                            </logic:notPresent>
                            <logic:present name="SES_USER" scope="session">
                                <html:link page="/PrepareTree.do">
                                    <bean:message key="data.upload"/>
                                </html:link>
                            </logic:present>
                        </li>

                        <!-- ****************************************************************** -->
                        <!-- ************************ VISUALIZATION *************************** -->
                        <!-- ****************************************************************** -->
                        <li><br/>
                            <html:link page="/visualization?methodName=view">
                                <bean:message key="all.visualization"/>
                            </html:link>
                        </li>
                        <li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
                            <html:link page="/visualization?methodName=viewParametersByPlateform">
                                <bean:message key="data.visualization"/>
                            </html:link>
                        </li>
                        <li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
                            <html:link page="/visualization/inWork.jsp">
                                <bean:message key="simulation.visualization"/>
                            </html:link>
                        </li>
                        <!-- ****************************************************************** -->

                    </ul>
                </div>
                <table width="100%">
                    <tr>
                        <td align="center">
                            <html:link href="http://megapoli.dmi.dk/" target="help" titleKey="app.linkmegapoli">
                                <html:img page="/resources/images/megapoli/megapoli_small.jpg" height="100px"
                                          width="100px" altKey="app.home"/>
                            </html:link>
                        </td>
                    </tr>
                </table>
            </div>
            <%-- Recherche : solution mnogosearch --%>

        </div>
        <%--
              <div id="recherche">
                <form method="get" action="/megapoli/cgi-bin/search.cgi">
                    <bean:message key="app.search"/> : <INPUT TYPE="text" NAME="q" VALUE="" size="20">
                </form>
              </div>
        --%>
        <div id="pageContent">
            <div id="nav">
                <%-- la barre de navigation --%>
                <div class="texte navStyle" style="float: left;">
                    <tiles:insert attribute="nav"/>
                </div>
                <div style="float: right; font-size: 13px">
                    <logic:present name="SES_USER" scope="session">
                        <table>
                            <tr>
                                <td height="40px" valign="middle" style="font-size: 13px; color: white">
                                    <bean:write name="SES_USER" property="prenom"/> <bean:write name="SES_USER"
                                                                                                property="nom"/>
                                    <logic:equal name="SES_USER" property="roles" value="coordinateur">
                                        (<bean:message key="app.admin"/>)
                                    </logic:equal>
                                </td>
                                <td valign="top" width="40px">
                                    <html:link page="/Disconnect.do">
                                        <html:img page="/resources/images/utils/logout.gif" titleKey="app.disconnect"
                                                  altKey="app.disconnect"
                                                  onmouseover="this.src='${chemin}/resources/images/utils/logout2.gif'"
                                                  onmouseout="this.src='${chemin}/resources/images/utils/logout.gif'"
                                                  width="20px" height="20px" style="margin-top:7px"/>
                                    </html:link>
                                </td>
                            </tr>
                        </table>
                    </logic:present>
                </div>
            </div>
            <div id="corpsPage">
                <div id="title">
                    <%-- le titre de la page --%>
                    <h1><tiles:insert attribute="bodytitle"/></h1>
                </div>
                <div id="txt">
                    <%-- le corps de la page --%>
                    <tiles:insert attribute="body"/>
                </div>
            </div>
        </div>
    </div>


    <div id="pageFooter">
        <table width="100%" style="color:white;font-size: 12px; margin-top:-10px">
            <tr>
                <td rowspan="2" align="left">&copy; 2010-2011 <html:link href="http://www.ipsl.fr" target="help" titleKey="app.linkIPSL">IPSL</html:link> / CNRS </td>
                <td rowspan="2" align="center"><bean:message key="app.infonavig"/></td>
                <td align="right"><i><bean:message key="app.version"/>&nbsp;1</i></td>
            </tr>
            <tr>
                <td align="right"><i><bean:message key="app.lastModified"/> : <bean:write name="lastModified"/></i></td>
            </tr>
        </table>
    </div>

</BODY>
</HTML>
<!-- /*** ****************** FIN TEMPLATE ETHER ******************** **/ -->