<%@ page language="java" import="com.medias.*" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">


<html>
<head>
	<title><tiles:getAsString name="title"/></title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<meta http-equiv="refresh" content="6; URL=./index.jsp">
	<link rel="stylesheet" type="text/css" href="<html:rewrite page='/resources/css/medias_new.css'/>">
	<link rel="stylesheet" type="text/css" href="<html:rewrite page='/resources/css/megapoli.css'/>">
	<link rel="shortcut icon" href="<html:rewrite page='/resources/images/megapoli/favicon.ico'/>">
	<script src="<html:rewrite page='/resources/js/maj.js'/>"></script>
	<script src="<html:rewrite page='/resources/js/medias/ajax.js'/>"></script>
	<script src="<html:rewrite page='/resources/js/medias/scw.js'/>"></script>
	<script type="text/javascript">
	<!--
	var popup;
	
	function popupWindow (url, name, configuration)
	{
		popup = window.open (url, name, configuration);
	}
	
	function closePopupWindow ()
	{
		popup.close ();
	}
	-->
	</script>
</head>

<body>
	<a name="top"></a>

<%-- VARIABLES A NE PAS TOUCHER !!! --%>
	<bean:define type="java.lang.String" id="today" value="<%=Context.getSimpleDate()%>"/>
	<bean:define type="java.lang.String" id="lastModified" value="<%=Context.getLastModified(request, application)%>"/>
	<bean:define type="java.lang.String" id="racine" value="<%=Context.getWebroot(request)%>"/>
	<bean:define type="java.lang.String" id="relativePageUri" value="<%=Context.getRelativePageURI(request)%>"/>
	<bean:define type="java.lang.String" id="lang" value="<%=Context.getLangue(request)%>"/>
	<bean:define type="java.lang.String" id="webmaster" value="<%=Context.getWebmaster(request)%>"/>
	<bean:define type="java.lang.String" id="chemin" value="<%=request.getContextPath()%>"/>
	
<div id="container">
    <div id="pageHeader">
      <%-- le logo --%>
      
      	<%-- Le titre g�n�ral du site --%>
      	<h2><%--<u>M</u>egacities: <u>E</u>missions, urban, regional and <u>G</u>lobal <u>A</u>tmospheric <u>POL</u>lution and climate effects, and <u>I</u>ntegrated tools for assessment and mitigation--%>
      		<bean:message key="app.fulltitle"/>
      	</h2>
	</div>


 <div id="pageMiddle">  
    <div id="pageMenu">
      <div id="util">
        
        <html:link page="/index.jsp">
			<html:img page="/resources/images/utils/home.jpg" titleKey="app.home" altKey="app.home"/>
		</html:link>
        
        <html:link href="mailto:${webmaster}?subject=[MEGAPOLI]">
			<html:img page="/resources/images/utils/enveloppe.jpg" titleKey="app.webmaster" altKey="app.webmaster"/>
		</html:link>

        <%--html:link page="/sitemap/sitemap.jsp">
        	<html:img page="/resources/images/utils/sitemap.png" titleKey="app.sitemap" altKey="app.sitemap"/>
		</html:link--%>
      	<%-- Internationalisation --%>
		<logic:notEqual name="lang" value="en">
			<html:link page="/English.do" paramName="relativePageUri" paramId="requestUri" titleKey="app.en">
				<html:img page="/resources/images/utils/gb.png" alt="gb"/>
			</html:link>
		</logic:notEqual>
		<logic:equal name="lang" value="en">
			<html:link page="/French.do" paramName="relativePageUri" paramId="requestUri" titleKey="app.fr">
				<html:img page="/resources/images/utils/fr.png" alt="fr"/>
			</html:link>
		</logic:equal>
		
		<%-- le lien pour se d�connecter de l'application --%>
		<%--logic:present name="SES_USER" scope="session">
			<html:link page="/Disconnect.do">
				<html:img page="/images/utils/logout.gif" titleKey="app.disconnect" altKey="app.disconnect" onmouseover="this.src='${chemin}/images/utils/logout2.gif'" onmouseout="this.src='${chemin}/images/utils/logout.gif'"/>
			</html:link>
		</logic:present--%>
      </div>
      
      <div id="plan">
        <%-- le menu --%>
			  <%--div id="menuItem">
				<html:link page="/projet/projet.jsp">
					<h3>&nbsp;&nbsp;&nbsp;<bean:message key="projet"/></h3>
				</html:link>
					<ul>
						<li><html:link page="/projet/introduction.jsp">
							<bean:message key="projet.intro"/>
						</html:link></li>
						<li><html:link page="/projet/objectifs.jsp">
							<bean:message key="projet.objectifs"/>
						</html:link></li>
						<li><html:link page="/projet/mesures.jsp">
							<bean:message key="projet.mesures"/>
						</html:link></li>
					</ul>
				</div--%>
			
			  <%--div id="menuItem">
				<html:link page="/projet/projet.jsp">
					<h3>&nbsp;&nbsp;&nbsp;<bean:message key="projet"/></h3>
				</html:link>
					<ul>
						<li> <html:link page="/index.jsp">
							<bean:message key="app.home"/>
						</html:link></li>
						<li><html:link href="mailto:${webmaster}?subject=[MEGAPOLI]">
							<html:img page="/images/utils/mailto.png" titleKey="app.webmaster" altKey="app.webmaster"/>
						</html:link></li>
						<logic:present name="SES_USER" scope="session">
						<li>
							<html:link page="/Disconnect.do">
								<bean:message key="app.disconnect"/>
							</html:link>
						</li>
						</logic:present>
					</ul>
				</div--%>

				<div id="menuItem">
					<%--html:link page="/data/data.jsp">
						<h3>&nbsp;&nbsp;&nbsp;<bean:message key="data"/></h3>
					</html:link--%>
					<bean:define id="upload" value="upload"/>
					<bean:define id="access" value="access"/>
					<ul>
						<li><html:link page="/data/access/access.jsp" paramName="access" paramId="source">
							<bean:message key="data.access"/>
							</html:link>
						</li>
						<li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
							<%--html:link page="/data/access/jeux.jsp" paramName="access" paramId="source"--%>
							<html:link page="/JeuxAccess.do">
							<bean:message key="data.access.jeux"/>
							</html:link>
						</li>
						<li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
							<html:link page="/ParametresAccess.do">
							<bean:message key="data.access.param"/>
							</html:link>
						</li>
						<li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
							<html:link page="/CapteursAccess.do">
							<bean:message key="data.access.capt"/>
							</html:link>
						</li>
						<li>&nbsp;&nbsp;&nbsp;&gt;&nbsp;
							<html:link page="/PlateformesAccess.do">
							<bean:message key="data.access.plat"/>
							</html:link>
						</li>
						<li><br/>
							<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogonAccess.do" paramName="access" paramId="source">
									<bean:message key="data.access.extract"/>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<html:link page="/DataAccess.do">
									<bean:message key="data.access.extract"/>
								</html:link>
							</logic:present>
						</li>
						<li><br/>
							<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogon.do" paramName="upload" paramId="source">
									<bean:message key="data.upload"/>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<html:link page="/PrepareTree.do">
									<bean:message key="data.upload"/>
								</html:link>
							</logic:present>
						</li>
					</ul>
				</div>
				<table width="100%">
					<tr><td align="center">
						<html:link href="http://megapoli.dmi.dk/" target="help" titleKey="app.linkmegapoli">
							<html:img page="/resources/images/megapoli/megapoli_small.jpg" altKey="app.home"/>
						</html:link>
					</td></tr>
				</table>
				<%--div id="menuItem">
					<html:link page="/partenaires/partenaires.jsp">
						<h3>&nbsp;&nbsp;&nbsp;<bean:message key="partenaires"/></h3>
					</html:link>
					<ul>
						<li><html:link page="/partenaires/scientifiques.jsp">
							<bean:message key="partenaires.scientifiques"/>
						</html:link></li>
						<li><html:link page="/partenaires/institutionnels.jsp">
							<bean:message key="partenaires.institutionnels"/>
						</html:link></li>
					</ul>
				</div>
			
				<div id="menuItem">
					<html:link page="/finance/finance.jsp">
						<h3>&nbsp;&nbsp;&nbsp;<bean:message key="finance"/></h3>
						</html:link>
					</div--%>
				
				
				    <%--
						  <div id="menuItem>
									<html:link page="/actualites/actualites.jsp">
									<h3>&nbsp;&nbsp;&nbsp;<bean:message key="app.actualites"/></h3>
						</html:link>
				</div>
				--%>
      </div>
 <%-- Recherche : solution mnogosearch --%>
    
    </div>
<%--
	  <div id="recherche">  
		<form method="get" action="/megapoli/cgi-bin/search.cgi">
			<bean:message key="app.search"/> : <INPUT TYPE="text" NAME="q" VALUE="" size="20">
		</form>
      </div>  
--%>
    <div id="pageContent">
      <div id="nav">
        <%-- la barre de navigation --%>
        <div class="texte" style="float: left;">
        	<tiles:insert attribute="nav"/>
        </div>
        <div style="float: right; font-size: 13px">
		<logic:present name="SES_USER" scope="session">
			<table>
			<tr><td height="40px" valign="middle" style="font-size: 13px; color: white">
			<bean:write name="SES_USER" property="prenom"/> <bean:write name="SES_USER" property="nom"/>
			<logic:equal name="SES_USER" property="roles" value="coordinateur">
				(<bean:message key="app.admin"/>)
			</logic:equal>
			</td>
			<td valign="top" width="40px">
			<html:link page="/Disconnect.do">
				<html:img page="/resources/images/utils/logout.gif" titleKey="app.disconnect" altKey="app.disconnect" onmouseover="this.src='${chemin}/images/utils/logout2.gif'" onmouseout="this.src='${chemin}/images/utils/logout.gif'" width="20px" height="20px" style="margin-top:7px"/>
			</html:link>
			</td>
			</tr>
			</table>
		</logic:present>
        </div>
      </div>
      <div id="corpsPage">
	      <div id="title">
    	    <%-- le titre de la page --%>
        	<h1><tiles:insert attribute="bodytitle"/></h1>
     	 </div>
      	 <div id="txt">
        	<%-- le corps de la page --%>
        	<tiles:insert attribute="body"/>
      	 </div>
      </div>
    </div>
 </div>  


    <div id="pageFooter">
        <table width="100%" style="color:white;font-size: 12px; margin-top:-10px">
            <tr>
                <td rowspan="2" align="left">&copy; 2010-2011 <html:link href="http://www.ipsl.fr" target="help" titleKey="app.linkIPSL">IPSL</html:link> / CNRS </td>
                <td rowspan="2" align="center"><bean:message key="app.infonavig"/></td>
                <td align="right"><i><bean:message key="app.version"/>&nbsp;1</i></td>
            </tr>
            <tr>
                <td align="right"><i><bean:message key="app.lastModified"/> : <bean:write name="lastModified"/></i></td>
            </tr>
        </table>
    </div>


</div>

</body>
</html>